[tool.poetry]
name = "trigger-proxy"
version = "0.1.0"
description = ""
authors = ["geewrd <nate.rodd@tufin.com>"]

[tool.poetry.dependencies]
python = "~3.6.8"
httpx = "^0.20.0"
fastapi = "^0.70.0"
beautifulsoup4 = "^4.10.0"
uvicorn = "^0.15.0"
pydantic = {extras = ["dotenv"], version = "^1.8.2"}
dataclasses = "^0.8"
kubernetes = {version = "^20.13.0"}

[tool.poetry.dev-dependencies]
pytest = "^5.2"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"

